Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 26-10-2010 22:27:19

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Arf, j'ai mis les depots backports, les apt-get update et upgrade fonctionne.

Comment je fait pour allez vers un noyau 2.6.32, je suis encore en 26 la ...

Dernière modification par bestel74 (26-10-2010 22:40:34)

Hors ligne

#27 26-10-2010 22:44:23

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Tu as déjà le lien vers le wiki df pour changer de kernel, non ?
Ça devrait le faire, pourvu que tu aies les bonnes sources maintenant.

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#28 26-10-2010 22:50:42

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

ben j'arrive pas à "trouver le nom" du paquet !

apt-get install linux-2.6.32     ça marche po !

Hors ligne

#29 26-10-2010 22:50:50

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Tu as lu le wiki fait un update après la modif du sources.list?

Ensuite un "aptitude search linux-image" ou "apt-cache search linux-image" t'indiquera tous les paquets de kernel dispos. Ya plus qu'a choisir big_smile

@+

Dernière modification par tux12 (26-10-2010 22:53:40)

Hors ligne

#30 26-10-2010 22:53:17

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

tux12 a écrit :

Tu as lu le wiki fait un update après la modif du sources.list?


oui

et un upgrade qui a installé des truc, j'ai redémarrer, et toujours en 2.6.26 !

Hors ligne

#31 26-10-2010 23:03:08

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Je me suis mal fait comprendre :

Maintenant j'ai réussi à configurer mes dépots backports !

comment je fait pour lui dire d'aller chercher le kernel 2.6.32 ?

laptop-steven:/home/steven# apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été conservés :
  bind9-host dnsutils exim4 exim4-base exim4-config exim4-daemon-light
  gtk2-engines-pixbuf iceweasel info libgail-common libgail18 libgtk2.0-0
  libgtk2.0-bin libnm-glib0 libsmbclient libwbclient0 linux-image-2.6-686 m4
  nfs-common
0 mis à jour, 0 nouvellement installés, 0 à enlever et 19 non mis à jour.
laptop-steven:/home/steven#


Comment lui dire que je veux pas garder linux-image-2.6-686 !!!!!!

Dernière modification par bestel74 (26-10-2010 23:06:59)

Hors ligne

#32 26-10-2010 23:09:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

bestel74,

La mise à jour met les kernels (et les autres paquets) disponibles dans ton cache, selon ton sources.list. Mais elle n'est pas l'outil pour installer.
Suit le tuto pour changer de kernel et utilise les outils d'installation.
le post : http://debian-facile.org/forum/viewtopi … 001#p24001

Je te conseille d'utiliser en root :

aptitude install ton_kernel


en mettant bien dans ton_kernel la version complète que tu désires.

Utilise l'outil de auto-complétement pour écrire tes commandes, voir :
http://debian-facile.org/debutant_a_sav … -_a_savoir

Le nouveau kernel ne sera visible qu'au reboot hein !
Comme spécifié dans le tuto.

Wouaaaaaaaah ! big_smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#33 26-10-2010 23:27:26

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

désolé !

Au moment ou j'avais lu ça j'avais pas accès au net sur le bouzin

laptop-steven:/home/steven# aptitude install linux-image-2.6.32-bpo.5-686
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  
Les paquets suivants sont CASSÉS :
  linux-base
Les NOUVEAUX paquets suivants vont être installés :
  firmware-linux-free{a} linux-image-2.6.32-bpo.5-686
0 paquets mis à jour, 3 nouvellement installés, 0 à enlever et 7 non mis à jour.
Il est nécessaire de télécharger 27,0Mo/27,2Mo d'archives. Après dépaquetage, 78,2Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  linux-base: Dépend: libuuid-perl qui est un paquet virtuel
Les actions suivantes permettront de résoudre ces dépendances :

Conserver les paquets suivants dans leur version actuelle :
linux-base [Non installé]
linux-image-2.6.32-bpo.5-686 [Non installé]

Le score est de -9872

Accepter cette solution ? [Y/n/q/?] n

*** Aucune autre solution disponible ***

Les actions suivantes permettront de résoudre ces dépendances :

Conserver les paquets suivants dans leur version actuelle :
linux-base [Non installé]
linux-image-2.6.32-bpo.5-686 [Non installé]

Le score est de -9872

Accepter cette solution ? [Y/n/q/?]

Hors ligne

#34 27-10-2010 15:59:08

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bon, je viens de refaire une install a partir de la testing : squeeze !

Tout s'est passé niquel, sauf que je démarre en console .........

quand je tape en root "X" ça renvoie :

*** tout normal ***
FATAL : Module fbcon not found.
SELinux : disabled on system, not enabling in X server
*** Des erreurs => clavier et souris merdent ***

PS : Mais sinon c'est plutot positif, même ma carte wifi ma carte bluetooth et mon écran sont détecté (la console est en 1366*768 je le vois ^^) (pour ceux qui m'ont suivient hier ^^)

Dernière modification par bestel74 (27-10-2010 16:04:27)

Hors ligne

#35 27-10-2010 16:49:12

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Désolé de ma non patience !

J'ai réinstaller squeeze en installation de base, avec le CD1 !

La je fait ce que je peux pour installer une interface graphique, je suis a la recherche de tuto RECENT, proposez, je vous tiens au courant si j'y arrive tout seul (à la seconde pres tongue) !

Hors ligne

#36 27-10-2010 17:38:42

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bon je suis un tuto la smile

tasksel install desktop

ça prends 2 plombe mais parait qu'apres tout est OK !

j'vous tiens au courant, comme d'hab smile

Hors ligne

#37 27-10-2010 17:49:30

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

bestel74 a écrit :

Tout s'est passé niquel, sauf que je démarre en console .........


et

J'ai réinstaller squeeze en installation de base


Me font dire que tu ne nous donnes pas les infos nécessaires... Par exemple, avoir un serveur X qui ne démarre pas alors qu'on a pas installé xorg ne m'étonne pas... Le clavier et la souris, idem : s'il y a bien un unique type de périphérique qui a fonctionné dès le premier jour sous GNU/Linux, c'est le clavier et la souris.

Je te suggérerais donc de ne pas faire l'installation de base, mais l'installation avec interface graphique. J'ai l'impression que depuis le début tu te compliques bien la vie : pour un ordinateur d'un an avec squeeze, tout est supporté, c'est aussi simple que ça. Pour les merdouilles comme le wifi, d'accord, il faut *parfois* y mettre du sien (et encore, ça fait longtemps de mon côté, et c'est pas faute de ne pas faire de prosélytisme sauvage pour le manchot), mais sinon, RAS.

Pour ton tuto, c'est simple : tu recherches sur internet ce qui est nécessaire pour lancer le serveur X (xorg itou itou). Tu installes. Si gdm3 ne montre pas le bout de son nez dès le premier redémarrage des modules ou de l'ordi, alors un coup d'aptitude pour installer le driver ad hoc OU utilisation de vesa, lancement de synaptic et installation des drivers.

Pour le prochain post, fais un lspci que tu posteras ici: c'est pareil... de l'ethernet non supporté, je n'y crois pas trop. Ça peut arriver, mais c'est hautement improbable, surtout 1 an après.

Hors ligne

#38 27-10-2010 17:50:53

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Dans ce cas, tasksel va installer la même chose que si tu avais choisi "installer environnement de bureau" dans l'installateur debian.

Hors ligne

#39 27-10-2010 17:57:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

bestel74 a écrit :

comment je fait pour lui dire d'aller chercher le kernel 2.6.32 ?


Tu fais ainsi :

$ apt-cache search linux-image | grep 32
linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
nvidia-kernel-2.6.32-5-amd64 - NVIDIA binary kernel module for Linux 2.6.32-5-amd64
nvidia-kernel-2.6.32-5-vserver-amd64 - NVIDIA binary kernel module for Linux 2.6.32-5-vserver-amd64


Là, j'ai utilisé la commande grep pour selectionner la version 32.

Mais même sans grep, tu aurais pu trouver la ligne dans la liste qui t'aurait été proposée.
'acré gamin va ! wink

Puis tu installes la bonne ligne :

aptitude install linux-image-2.6.32-5-amd64


Tchap ! big_smile

Edit :
C'est vrai que dans mon cas, je n'ai que du amd64, voir le post suivant de Asmodée pour du 32 bits !


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#40 27-10-2010 18:02:05

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Oh... Tu es en 32 bits... ne t'occupe pas du amd64 à la fin, tu auras un truc genre i386 ou i486 jusqu'à i686... Je ne sais pas sur quelle architecture les développeurs se sont fixés...

Hors ligne

#41 27-10-2010 18:32:45

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Arg, je lis tout ça trop tard ...

J'ai fait une install minimal,
apt-get install xorg mesa-utils
tasksel install desktop

Je suis passé par la parce que oui je vous est pas tout dit, mon network freeze, donc sur une base minimal d'installé c'était plus facile pour moi (quoique si une erreur est trouvé ça revient ou menu d'avant ==> ben ça a fait ça 4x en debut d'aprem (netinstall) et une fois ça a quand meme installé alors que ça avait pas tout télécharger et je me suis retrouver avec une bouze sans nom donc == installation minimal parce que gavage) ==> me posts de apres netinstall ça bootait sur console !

Donc la ça marche, je suis assez content, je suis pas passé par le plus simple (je m'en rend compte maintenant) mais au moins j'ai beaucoup appris du fonctionnement, je suis content de ne pas avoir laché prise tongue 3j pour une install c'est ma première, mais en relisant les posts j'aurais aimé comprendre plus tot (ou vouloir comprendre) ce que vous me disiez XD Mais bon quand on a un probleme, meme si on demande de l'aide on s'enferme toujours dans un solution, ben je peux le dire ça !


Oui la ma RTL8191SEvB n'est pas reconnu, meme pas dans un ifconfig -a !!!! (lsmod = pas de pilote chargé), je vais télécharger les pilote linux, (./configure pour des pilotes ?) make && make install et normalement ça devrait rouler tout seul !

Hors ligne

#42 27-10-2010 18:34:47

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Asmodée a écrit :

bestel74 a écrit :

Tout s'est passé niquel, sauf que je démarre en console .........


et

J'ai réinstaller squeeze en installation de base


Me font dire que tu ne nous donnes pas les infos nécessaires... .


Tu as mal compris la situation, avant d'avoir une réponse (dsl pour ma non patience) j'ai "formaté" et refais une install !

Hors ligne

#43 27-10-2010 18:53:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Oui bestel74,

Un forum n'est pas l'irc, il y faut patience et longueur de temps.
Mais le chic, c'est que tout le monde en profite, maintenant et les générations futures !

Yep ! big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#44 28-10-2010 15:47:43

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

euh ... j'ai installer les source pour compiler mon driver (aptitude install linux-headers-2.6.32-5-all
) , mais ce con m'a supprimer plein de paquet.

J'ai perdu plus de la moitié de mes logiciels, et le serveur X ne demarre meme plus automatiquement .... mais il demarre quand meme.

NOTA : ma carte wifi est detecté , laule !


EDIT : la je relance ("tasksel install desktop") mais quelqu'un peux m'expliquer ?

Qu'est-ce que j'ai mal fait ?

J'aurais du faire aptitude install linux-headers-2.6.32-5-686 et non pas all ?

Dernière modification par bestel74 (28-10-2010 15:52:37)

Hors ligne

#45 28-10-2010 15:54:44

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Je dirai ça aussi :

J'aurais du faire aptitude install linux-headers-2.6.32-5-686


smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#46 28-10-2010 16:07:00

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

nota : ne jamais suivre aveuglément une commande trouvé sur internet tongue

c'est noté ....

Hors ligne

#47 28-10-2010 16:08:07

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

mais ça a juste installé trop de header, pourquoi ça m'a desinstaller des logiciel ?

La la commande que j'ai faite va tout regler ?

Je dois desinstaller les paquet en trop ?

Hors ligne

#48 28-10-2010 16:13:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

À ce niveau d'incertitude, perso, plutôt que de bidouiller sans comprendre, je reprends toute mon affaire et m'applique à la mener à bien de bout en bout.

Il sera toujours temps d'apprendre à dépanner avec un peu plus de poil au menton. <|:[Dx

Avis : Le chmilili au bout de la dernière phrase est la tête d'un personnage avec un chapeau et une moustache.
J'entends pouffer de rire par là... non ?

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#49 28-10-2010 16:18:08

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

en gros comme je reinstalle l'environement gnome ça va marché, mais je touche plus a rien ?

XD ?

Sont passé ou les -all ? XD

Hors ligne

#50 28-10-2010 16:18:55

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Juste une petite question au passage... tu as bien installé firmware-linux-nonfree, firmware-linux-free, firmware-linux ?

Hors ligne

Pied de page des forums